%global short_name m2e-workspace
Name:                eclipse-m2e-workspace
Version:             0.4.0
Release:             2
Summary:             M2E CLI workspace resolver
License:             EPL-1.0
URL:                 https://www.eclipse.org/m2e/
BuildArch:           noarch
Source0:             http://git.eclipse.org/c/m2e/org.eclipse.m2e.workspace.git/snapshot/org.eclipse.m2e.workspace-%{short_name}-%{version}.tar.gz
Source1:             http://www.eclipse.org/legal/epl-v10.html
Patch0:              takari.patch
BuildRequires:       maven-local mvn(io.takari.maven.plugins:takari-lifecycle-plugin)
BuildRequires:       mvn(javax.inject:javax.inject) mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.apache.maven:maven-core)
BuildRequires:       mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:       mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:       mvn(org.eclipse.aether:aether-api)
%description
Workspace dependency resolver implementation for Maven command line
build.

%package javadoc
Summary:             API documentation for %{name}
%description javadoc
This package provides %{summary}.

%prep
%setup -q -n org.eclipse.m2e.workspace-%{short_name}-%{version}
%patch0 -p1
cp -a %{SOURCE1} .
pushd org.eclipse.m2e.workspace.cli
%pom_remove_dep org.sonatype.aether
rm src/main/java/org/eclipse/m2e/workspace/internal/Maven30WorkspaceReader.java
popd

%build
pushd org.eclipse.m2e.workspace.cli
%mvn_build
popd

%install
pushd org.eclipse.m2e.workspace.cli
%mvn_install
popd

%files -f org.eclipse.m2e.workspace.cli/.mfiles
%license epl-v10.html

%files javadoc -f org.eclipse.m2e.workspace.cli/.mfiles-javadoc
%license epl-v10.html

%changelog
* Wed Nov 09 2022 Ge Wang <wangge20@h-partners.com> - 0.4.0-2
- Bring source file into correspondence with described in spec file

* Thu Aug 13 2020 yanan li <liyanan032@huawei.com> - 0.4.0-1
- Package init
